Loading...
Searching...
No Matches
LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOnIterator Class Reference

Visits all active values in a leaf node. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOnIterator:

## Public Member Functions

| ValueOnIterator ()
| ValueOnIterator (const LeafNode *parent)
ValueOnIterator & | operator= (const ValueOnIterator &)=default
ValueType | operator* () const
CoordT | getCoord () const

## Detailed Description

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>
class nanovdb::LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOnIterator

Visits all active values in a leaf node.

## Constructor & Destructor Documentation

## ValueOnIterator() [1/2]

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueOnIterator | ( |  | ) |

inline

## ValueOnIterator() [2/2]

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueOnIterator | ( | const LeafNode * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

CoordT getCoord | ( |  | ) | const

inline

## operator*()

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueType operator* | ( |  | ) | const

inline

## operator=()

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueOnIterator & operator= | ( | const ValueOnIterator & |  | ) |

default